> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazonstartec2instancesparameters-object.md).

# AmazonStartEc2InstancesParameters Object

## Description

Parameters for the Amazon Start EC2 Instances action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### instances

List of EC2 instances that will be started.&#x20;

Type: Array of [StartEc2InstancesInstance](/data-types/startec2instancesinstance-object.md) objects

Required: No

### instanceNameComparison

*Deprecated*

Comparison to use when identifying EC2 instances by `Name` tag. Required when `instanceIdentificationMethod` is `by-instance-name-tag`. Note, currently `compareType` must be `equals`.

Type: [InstanceNameComparison](/data-types/instancenamecomparison-object-1.md) object.

Required: Conditional

### instanceIdentificationMethod

*Deprecated*

Method of identifying the EC2 instances.

Type: `string`

Valid Values:

* `all-instances`
* `by-instance-id`
* `by-instance-name-tag`
* `by-resource-tag`

Required: Yes

### isCheckReachability

Indicates whether to check instance reachability after starting.

Type: `boolean`

Required: No

Default: `false`

### isSendEmailOnReachabilityFailure

Indicates whether to send an email if reachability fails. Ignored when `isCheckReachability` is not `true`.

Type: `boolean`

Required: No

Default: `false`

### loadBalancerName

Name of the classic Elastic Load Balancer to register with when the EC2 instance is started.

Type: `string`

Required: No

### regionNames

Regions to use with the action. Omit or specify `null` to include "all regions".

Type: Array of `string`

Required: No

### resourceTagComparison

*Deprecated*

Comparison to use when identifying instances by resource tag. Required when `instanceIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### resourceTagComparisons

List of resource tag comparisons to use when matching EC2 instances.

Type: List of [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) objects.

Required: No

### resumeAutoScalingProcesses

Indicates whether to resume Auto Scaling processes for any Auto Scaling groups controlling the EC2 instances.

Type: `string`

Valid Values:

* `none`
* `all`

Required: No

Default: `none`

### stopTimeInSeconds

Time (in seconds) after which the EC2 instances will be stopped.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "instances": [
        {
            "instanceId": "i-11111111",
            "elasticIp": "1.2.3.4"
        }
    ],

    "loadBalancerName": null,
    "resumeAutoScalingProcesses": "none",

    "isCheckReachability": false
    "isSendEmailOnReachabilityFailure": false,

    "stopTimeInSeconds": 43200
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonstartec2instancesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
